> ## Documentation Index
> Fetch the complete documentation index at: https://docs.langcall.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Call Details

> Get call details based on the ID supplied



## OpenAPI

````yaml GET /v1/calls/{id}
openapi: 3.0.1
info:
  title: LangCall API
  description: LangCall APIs Specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.langcall.com
security:
  - bearerAuth: []
paths:
  /v1/calls/{id}:
    get:
      description: Get call details based on the ID supplied
      parameters:
        - name: id
          in: path
          description: ID of the call to get
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Call response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Call'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Call:
      allOf:
        - type: object
          properties:
            id:
              description: Identification number of the call
              type: string
            created_at:
              description: >-
                Time when the call was started in ISO 8601 standard, e.g.
                `2024-09-25T22:22:08.095646+00:00`
              type: string
            direction:
              enum:
                - inbound
                - outbound
              description: 'Direction of the call: inbound or outbound'
              type: string
            duration:
              description: Duration of the call in minutes
              type: number
            conversations:
              description: A list of messages comprising the phone conversation so far
              type: array
              items:
                $ref: '#/components/schemas/Message'
        - $ref: '#/components/schemas/NewCall'
    Error:
      required:
        - message
      type: object
      properties:
        message:
          type: string
    Message:
      type: object
      properties:
        role:
          type: string
          enum:
            - assistant
            - user
          description: 'Role of the message '
        content:
          type: string
          description: Transcription of the conversation
    NewCall:
      required:
        - type
        - to_number
        - instruction
      type: object
      properties:
        type:
          type: string
          enum:
            - full_ai
            - transfer
          description: Type of the call
          example: full_ai
        to_number:
          type: string
          description: >-
            Number to call. Phone numbers should be formatted in
            [E.164](https://www.twilio.com/docs/glossary/what-e164) format with
            a + and country code, for example: `+16175551212`. 
          example: '+1234567890'
        instruction:
          type: string
          description: Detailed instruction for the call
          example: Get a home loan certificate and send it to a@a.com
        transfer_number:
          type: string
          description: >-
            Required if the call type is “transfer.” If you need to include an
            extension, separate the number and extension with a comma. For
            example: `+0987654321,123`.
          example: '+0987654321'
        voice_id:
          type: string
          description: 'Voice ID to use for the call. '
          example: aura-asteria-en
        status_callback:
          type: string
          nullable: true
          description: 'Webhook URL to be called when the call status is updated. '
          example: https://webhook.site/97f897b1-288d-4772-9a6e-11111
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````